com.pdfunit.validators

## Class AllFieldsValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.AllFieldsValidator

-     @DoNotObfuscate
      public final class AllFieldsValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator with methods, belonging to all fields of an acro form in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AllFieldsValidator(DocumentValidator documentValidator)` Creating a validator for a single field of an acro form in PDF documents.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AllFieldsValidator` | `allWithoutTextOverflow()` This method checks each field that all the containing text can be seen.
    `AllFieldsValidator` | `hasFields()` This method does what the name suggests.
    `AllFieldsValidator` | `withoutDuplicateNames()` This method checks whether a PDF has formular fields with duplicates names.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllFieldsValidator

          protected AllFieldsValidator(DocumentValidator documentValidator)

      Creating a validator for a single field of an acro form in PDF documents.

  - ### Method Detail

    - #### withoutDuplicateNames

          public AllFieldsValidator withoutDuplicateNames()

      This method checks whether a PDF has formular fields with duplicates names. In that case, a PDFUnitValidationException is thrown.

    - #### allWithoutTextOverflow

          public AllFieldsValidator allWithoutTextOverflow()

      This method checks each field that all the containing text can be seen.

    - #### hasFields

          public AllFieldsValidator hasFields()

      This method does what the name suggests.

      When the form does not contain any field, an instance of PDFUnitValidationException will be thrown.

Copyright (C) PDFUnit.com. See here for license.